# poptconfig.c File Reference

`#include "system.h"`
`#include "poptint.h"`

Go to the source code of this file.

## Functions

static void | configLine (poptContext con, char *line)
int | poptReadConfigFile (poptContext con, const char *fn)
int | poptReadDefaultConfig (poptContext con, int useEnv)

## Detailed Description

Definition in file poptconfig.c.

## Function Documentation

static void configLine | ( | poptContext | con,
|  | char * | line
| ) | `[static]`

| Definition at line 13 of file poptconfig.c. References alloca(), poptContext_s::appName, poptItem_s::argc, poptOption::argDescrip, poptOption::argInfo, poptItem_s::argv, poptOption::descrip, poptOption::longName, poptItem_s::option, POPT_ARG_STRING, POPT_ARGFLAG_DOC_HIDDEN, poptAddItem(), poptParseArgvString(), and poptOption::shortName. Referenced by poptReadConfigFile().